package kr.co.compcarecompany.Data.Company;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

import kr.co.compcarecompany.Data.ArrayItem;
import kr.co.compcarecompany.Data.ArrayItem_;
import kr.co.compcarecompany.Data.FileDatum;
import kr.co.compcarecompany.Data.Product.InvoiceData;

public class ServiceData {
    @SerializedName("wo_idx")
    @Expose
    private String woIdx;

    @SerializedName("cp_name")
    @Expose
    private String cpName;

    @SerializedName("wo_calldt_day")
    @Expose
    private String woCalldtDay;

    @SerializedName("wo_calldt_time")
    @Expose
    private String woCalldtTime;

    @SerializedName("wo_memo")
    @Expose
    private String woMemo;

    @SerializedName("wo_status")
    @Expose
    private String woStatus;

    @SerializedName("worker_data")
    @Expose
    private ArrayList<WorkerData> workerData;

    @SerializedName("service_photo")
    @Expose
    private ArrayList<FileDatum> servicePhoto;

    @SerializedName("file_data_before")
    @Expose
    private ArrayList<FileDatum> fileDataBefore;

    @SerializedName("file_data_after")
    @Expose
    private ArrayList<AfterImageData> fileDataAfter;

    @SerializedName("wo_worker_name")
    @Expose
    private String woWorkerName;

    @SerializedName("invoice_list")
    @Expose
    private ArrayList<InvoiceData> invoiceList;

    public String getWoIdx() {
        return woIdx;
    }

    public String getCpName() {
        return cpName;
    }

    public String getWoCalldtDay() {
        return woCalldtDay;
    }

    public String getWoCalldtTime() {
        return woCalldtTime;
    }

    public String getWoMemo() {
        return woMemo;
    }

    public String getWoStatus() {
        return woStatus;
    }

    public ArrayList<WorkerData> getWorkerData() {
        return workerData;
    }

    public ArrayList<FileDatum> getServicePhoto() {
        return servicePhoto;
    }

    public ArrayList<FileDatum> getFileDataBefore() {
        return fileDataBefore;
    }

    public ArrayList<AfterImageData> getFileDataAfter() {
        return fileDataAfter;
    }

    public String getWoWorkerName() {
        return woWorkerName;
    }

    public ArrayList<InvoiceData> getInvoiceList() {
        return invoiceList;
    }
}
